
import sys
import libxsltmod


class MessageHandler:
    def __init__(self):
        self.content = ''
    def write(self, msg):
        self.content = self.content + msg
    def getContent(self):
        return self.content


def translate(styleSheetName, fileStems):
    handler = MessageHandler()
    stylesheet = libxsltmod.compile_stylesheet('f', styleSheetName, handler)
    errors = handler.getContent()
    if errors:
        print errors
        return
#    print '(translate) fileStems:', fileStems
    idx = 0
    while idx < len(fileStems):
        stem = fileStems[idx]
#        print 'stem:', stem
        infileName = stem + '.xml'
        outfileName = stem + '.html'
        translate_1(stylesheet, infileName, outfileName)
        idx += 1


def translate_1(stylesheet, infileName, outfileName):
    print 'Transforming: %s --> %s' % (infileName, outfileName)
    handler = MessageHandler()
    libxsltmod.translate_to_file('c', stylesheet, 'f', infileName,
        outfileName, handler)
    errors = handler.getContent()
    if errors:
        print errors


USAGE_STRING = """\
Usage: python test_to_file_compiled.py <stylesheetfile> <xmlfilestem> <xmlfilestem> ...
Example:
    python test_to_file_compiled.py camping_format.xsl camping_list1 camping_list2
"""

def usage():
    print USAGE_STRING
    sys.exit(-1)


def main():
    args = sys.argv[1:]
    if len(args) < 2:
        usage()
    stylesheetName = args[0]
    fileStems = args[1:]
    translate(stylesheetName, fileStems)


if __name__ == '__main__':
    main()

